require "Irensei.rb"

include Irensei

module Ai

class AI
	def initialize(color)
		@io=IO.popen("./irensei_9.exe","r+")
		@detach_thread=Process.detach(@io.pid)
		if(color==BLACK)
		then
			@io.puts("2\n")
		else
			@io.puts("1\n")
		end
		@io.flush
	end
	
	def clear
		if @io
		then
			Process.kill("KILL",@io.pid) if (@detach_thread && (@detach_thread.status=="run" || @detach_thread.status=="sleep"))
			@io.close unless @io.closed?
		end
	end
	
	def input_opponent_player_move(x,y)
		if( [x,y]==[-1,-1])
		then
			#pass
			@io.puts("%d %d\n"%[-1,-1])
		else
			@io.puts("%d %d\n"%[x+1,y+1])
		end
		@io.flush
	end
	
	def play
		c=""
		while(!(c=~/AI/))
			c=@io.readline
			if(c=~/\.\.\.\d+\%/)
			then
				@@cpu_prog.draw_cpu_prog(c.scan(/\d+/)[0].to_i)
				Tk.update
			end
		end
		
		x,y=c.scan(/\d+/).collect{|i| i.to_i}
		return [x-1,y-1]
	end	
end

end
